LP1831390: combobox and date-select implement ControlValueAccessor
[Evergreen.git] / Open-ILS / src / edi_translator / install.RHEL.sh
1 #!/bin/bash
2 #
3 # JEDI converter scripts installation
4 #
5 # RHEL/CENTOS Install
6 # note: need older version of rubygems since RHEL package for ruby is old
7 #
8 # run this script as root or with sudo
9
10 yum install ruby ruby-devel ruby-rdoc
11
12 wget http://production.cf.rubygems.org/rubygems/rubygems-1.3.5.tgz
13 tar zxvf rubygems-1.3.5.tgz
14 pushd rubygems-1.3.5
15 ruby setup.rb        # this gives harmless errors about README files missing
16 gem install rubygems-update
17 update_rubygems
18 popd
19
20 # RHEL has a bug in json module, but mbklein moved to using yajl for us....
21 gem install parseconfig rspec edi4r edi4r-tdid rcov openils-mapper # mkmf
22